Delete Wan video task
curl --request DELETE \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Video API
Delete Wan video task
Cancel or delete a Wan 2.7 or Wan Animate task.
Delete Wan video task
curl --request DELETE \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));DELETE https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}
wan27: or wananimate: ID. GENGEN verifies ownership
and resolves the public ID before forwarding the operation.
Try the delete workflow.
Path parameter
string
required
Public task ID returned by the create endpoint. URL-encode the value when placing it in the
request path.
curl --request DELETE \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks/wan27%3Awan-remote-task \
--header 'Authorization: Bearer gengen_live_xxxxxxxxxxxxxxxx'
Response
A successful delete returns:204 No Content
A provider can reject deletion while a task is actively processing. Treat deletion as
successful only after receiving
204 No Content.